Subject: Re: [BUG] 2.6.25-rc5-mm1 kernel panic with "Exception: 501 " on powerpc

From: Kamalesh Babulal <[email-masked]>
Date: Thu, 13 Mar 2008 18:32:10 +0530

Matthew Wilcox wrote:
> On Thu, Mar 13, 2008 at 09:26:09AM +1100, Michael Ellerman wrote:
>> down() looks OK, but there's still a spin_lock_irq() in __down_common(),
>> although I don't know if it makes sense for us to be in __down() at that
>> stage.
> 
> The spin_lock_irq in __down_common is correct.  We're going to schedule(),
> so we spin_unlock_irq() to save us passing the flags into the helper
> function.  If we had interrupts disabled on entry, there's an Aieee
> for that.
> 

Hi All,

Sorry for all the noise made :-(, something wrong in the test setup from my end, 
the kernel was 2.6.25-rc3-mm1 not 2.6.25-rc5-mm1. This bug is not seen in the
2.6.25-rc5-mm1 kernel.

-- 
Thanks & Regards,
Kamalesh Babulal,